# Az - Tafel Stoor Post Exploitatie

{{#include ../../../banners/hacktricks-training.md}}

## Tafel Stoor Post Exploitatie

Vir meer inligting oor tafel stoor, kyk:

{{#ref}}
../az-services/az-table-storage.md
{{#endref}}

### Microsoft.Storage/storageAccounts/tableServices/tables/entities/read

'n Hoofpersoon met hierdie toestemming sal in staat wees om die tafels binne 'n tafel stoor te **lys** en die **inligting** te **lees** wat **sensitiewe inligting** kan bevat.
```bash
# List tables
az storage table list --auth-mode login --account-name <name>

# Read table (top 10)
az storage entity query \
--account-name <name> \
--table-name <t-name> \
--auth-mode login \
--top 10
```
### Microsoft.Storage/storageAccounts/tableServices/tables/entities/write | Microsoft.Storage/storageAccounts/tableServices/tables/entities/add/action | Microsoft.Storage/storageAccounts/tableServices/tables/entities/update/action

'n Principaal met hierdie toestemming sal in staat wees om **inligting in tafels te skryf en te oorskryf** wat hom mag toelaat om skade aan te rig of selfs bevoegdhede te eskaleer (bv. om vertroude data te oorskryf wat 'n sekuriteitskwesbaarheid in die toepassing kan misbruik).

- Die toestemming `Microsoft.Storage/storageAccounts/tableServices/tables/entities/write` laat alle aksies toe.
- Die toestemming `Microsoft.Storage/storageAccounts/tableServices/tables/entities/add/action` laat toe om **inligting** by te voeg.
- Die toestemming `Microsoft.Storage/storageAccounts/tableServices/tables/entities/update/action` laat toe om **bestaande inligting** op te dateer.
```bash
# Add
az storage entity insert \
--account-name <acc-name> \
--table-name <t-name> \
--auth-mode login \
--entity PartitionKey=HR RowKey=12345 Name="John Doe" Age=30 Title="Manager"

# Replace
az storage entity replace \
--account-name <acc-name> \
--table-name <t-name> \
--auth-mode login \
--entity PartitionKey=HR RowKey=12345 Name="John Doe" Age=30 Title="Manager"

# Update
az storage entity merge \
--account-name <acc-name> \
--table-name <t-name> \
--auth-mode login \
--entity PartitionKey=HR RowKey=12345 Name="John Doe" Age=30 Title="Manager"
```
### \*/delete

Dit sal toelaat om 'n lêer binne die gedeelde lêerstelsel te verwyder wat dalk **sekere dienste kan onderbreek** of die kliënt **waardevolle inligting kan laat verloor**.

{{#include ../../../banners/hacktricks-training.md}}
